PUT /api/v202510/energymanager/chat/{chatId}

Edit a VEM chat. Chat needs to belong the user making the request. It requires the 'VirtualEnergyManager' feature flag to be enabled for the user.

EditChatV202510

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
chatId integer (int32) Required

Request Body

VemChatEditV202510
Property Description Type
vemChatInfo VEM Chat name / chat title Must be between 0 and 50 characters Required string
Example Request Body application/json
{  "vemChatInfo": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

VemChatResponseV202510
Property Description Type
createdDate Date/time offset representing when VEM chat was created string (date-time)
vemChatId The identifier for the VEM chat integer (int32)
vemChatInfo VEM Chat name / chat title string
Example Response application/json
{  "createdDate": "2026-03-30",  "vemChatId": 1,  "vemChatInfo": "string"
}